Subject: [OPSAWG] WG adoption poll for draft-sivakumar-yang-nat-07

From: "Joe Clarke" <[email-masked]>
Date: Thu, 27 Jul 2017 10:09:14 -0400

Greetings OPSAWG,

After this draft was presented in Prague, it was stated that we would do 
a call for adoption on the list.  There seemed to be general support for 
the work.  Therefore, this will serve as the chairs’ formal adoption 
poll for this document into OPSAWG.

YANG Data Model for Network Address Translation (NAT)
https://datatracker.ietf.org/doc/draft-sivakumar-yang-nat/

This poll request will go for three weeks to allow for the summer 
vacation time.  Please get your feedback (and initial reviews) in by 
August 17, 2017.

In addition to simply supporting the adoption, please also let us know 
if you are willing to review the work as it progresses.

Thank you.

Joe (for the co-chairs)

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 27 Jul 2017 16:29:58 +0200

I do not have a strong opinion whether this work should be done here
or elsewhere. The key is to get the right people who are familiar with
NAT implementations to review the technical content and to check
whether the proposed model is implementable on different systems.

>From a YANG perspective, the module should follow the NMDA guidelines
(i.e., a merged config/state tree instead of two separate trees), see
draft-dsdt-nmda-guidelines-01 for more details. For skimming the
document, I am also concerned about

    |        +--rw ftp-alg-enable?              boolean
    |        +--rw dns-alg-enable?              boolean
    |        +--rw tftp-alg-enable?             boolean
    |        +--rw msrpc-alg-enable?            boolean
    |        +--rw netbios-alg-enable?          boolean
    |        +--rw rcmd-alg-enable?             boolean
    |        +--rw ldap-alg-enable?             boolean
    |        +--rw sip-alg-enable?              boolean
    |        +--rw rtsp-alg-enable?             boolean
    |        +--rw h323-alg-enable?             boolean
    |        +--rw all-algs-enable?             boolean

which is somewhat verbose and does not look like an easily extensible
design in case new ALGs are needed. Assuming that ALGs may need
additional configuration or have additional state, perhaps the model
should only provide the structure that can be augmented by ALG
specific models instead of trying to list all ALGs out there.

Perhaps it is OK to hardwire TCP and UDP but then we do have SCTP and
DCCP in the IETF. Or at least think about how to factor them in if the
need arises.

Finally, make sure you use reference statements when you mention RFCs
in description statements. Add unit statements where sensible. Concrete
examples (that validate against the model) will help people to understand
how to use the model in practice. (So please fill in section 4, consider
moving it into the appendix since it is likely non-normative.)

All this said, it seems like some substantial work has already gone
into this document. I can't tell whether vendors will implement this
but it would be for sure nice to have a common way to configure and
monitor NATs.

/js

On Thu, Jul 27, 2017 at 10:09:14AM -0400, Joe Clarke wrote:
> Greetings OPSAWG,
> 
> After this draft was presented in Prague, it was stated that we would do a
> call for adoption on the list.  There seemed to be general support for the
> work.  Therefore, this will serve as the chairs’ formal adoption poll for
> this document into OPSAWG.
> 
> This poll request will go for three weeks to allow for the summer vacation
> time.  Please get your feedback (and initial reviews) in by August 17, 2017.
> 
> In addition to simply supporting the adoption, please also let us know if
> you are willing to review the work as it progresses.
> 
> Thank you.
> 
> Joe (for the co-chairs)
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: <[email-masked]>
Date: Thu, 27 Jul 2017 14:40:19 +0000

Hi Joe, all, 

Unsurprisingly, I support the adoption of this document. 

FWIW, I don't have any IPR related to this document. 

Cheers,
Med

> -----Message d'origine-----
> De : OPSAWG [mailto:[email-masked]] De la part de Joe Clarke
> Envoyé : jeudi 27 juillet 2017 16:09
> À : [email-masked]
> Cc : [email-masked]
> Objet : [OPSAWG] WG adoption poll for draft-sivakumar-yang-nat-07
> 
> Greetings OPSAWG,
>

---

From: <[email-masked]>
Date: Thu, 27 Jul 2017 14:42:18 +0000

Hi Juergen,

Thanks for sharing these comments. 

The document was already reviewed by NAT experts. More reviews are still welcome. We will solicit more once the document is adopted.

FWIW, a partial implementation of this module is available at: https://git.fd.io/hc2vpp/tree/nat/nat-api/src/main/yang. The module was even updated to take into account some of the comments from the implementers. 

Cheers,
Med

> De : OPSAWG [mailto:[email-masked]] De la part de Juergen
> Schoenwaelder
> Envoyé : jeudi 27 juillet 2017 16:30
> À : Joe Clarke
> Cc : [email-masked]; [email-masked]
> Objet : Re: [OPSAWG] WG adoption poll for draft-sivakumar-yang-nat-07
> 
> a
> vacation
> if

---

From: Tianran Zhou <[email-masked]>
Date: Fri, 28 Jul 2017 03:25:27 +0000

I agree with Juergen's comments. NAT is a widely deployed service. It's reasonable to standardize the data model for network automation. I hope more vendor representatives can help to improve this work.

Tianran

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:[email-masked]]
> Sent: Thursday, July 27, 2017 10:30 PM
> To: Joe Clarke
> Cc: [email-masked]; [email-masked]
> Subject: Re: [OPSAWG] WG adoption poll for draft-sivakumar-yang-nat-07
> 
> I do not have a strong opinion whether this work should be done here or
> elsewhere. The key is to get the right people who are familiar with NAT
> implementations to review the technical content and to check whether the
> proposed model is implementable on different systems.
> 
> draft-dsdt-nmda-guidelines-01 for more details. For skimming the document,
> I am also concerned about
> 
> which is somewhat verbose and does not look like an easily extensible design
> in case new ALGs are needed. Assuming that ALGs may need additional
> configuration or have additional state, perhaps the model should only provide
> the structure that can be augmented by ALG specific models instead of trying
> to list all ALGs out there.
> 
> Perhaps it is OK to hardwire TCP and UDP but then we do have SCTP and DCCP
> in the IETF. Or at least think about how to factor them in if the need arises.
> 
> Finally, make sure you use reference statements when you mention RFCs in
> description statements. Add unit statements where sensible. Concrete
> All this said, it seems like some substantial work has already gone into
> this document. I can't tell whether vendors will implement this but it would
> be for sure nice to have a common way to configure and monitor NATs.
> 
> /js
> 
> > After this draft was presented in Prague, it was stated that we would
> > do a call for adoption on the list.  There seemed to be general
> > support for the work.  Therefore, this will serve as the chairs’
> > formal adoption poll for this document into OPSAWG.
> >
> > vacation time.  Please get your feedback (and initial reviews) in by August
> 17, 2017.
> >

---

From: "t.petch" <[email-masked]>
Date: Fri, 28 Jul 2017 12:44:55 +0100

The MIB modules for NAT came out of the behave WG, which was part of the
Transport Area with Dan Wing and Dave Thaler as WG Chairs so that is
where the expertise was.  I don't know if they kept the mailing list
open - I cannot see it on the IETF web page but these days, I cannot see
anything much there:-(

Tom Petch

----- Original Message -----
From: "Juergen Schoenwaelder" <[email-masked]>
To: "Joe Clarke" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Thursday, July 27, 2017 3:29 PM

vacation
--

---

From: Qin Wu <[email-masked]>
Date: Mon, 31 Jul 2017 10:41:46 +0000

I have been aware this draft has been implemented in open source project and also it uses [RFC4787][RFC5382][RFC5508] as good foundation for this data model work.
I support opsawg to take on this draft and I am willing to review this work.
One quick comment is I hope YANG model defined in this draft conforms to NMDA architecture when this draft gets adopted.

-Qin
-----邮件原件-----
发件人: OPSAWG [mailto:[email-masked]] 代表 Joe Clarke
发送时间: 2017年7月27日 22:09
收件人: [email-masked]
抄送: [email-masked]
主题: [OPSAWG] WG adoption poll for draft-sivakumar-yang-nat-07

Greetings OPSAWG,

After this draft was presented in Prague, it was stated that we would do a call for adoption on the list.  There seemed to be general support for the work.  Therefore, this will serve as the chairs’ formal adoption poll for this document into OPSAWG.

YANG Data Model for Network Address Translation (NAT) https://datatracker.ietf.org/doc/draft-sivakumar-yang-nat/

This poll request will go for three weeks to allow for the summer vacation time.  Please get your feedback (and initial reviews) in by August 17, 2017.

In addition to simply supporting the adoption, please also let us know if you are willing to review the work as it progresses.

Thank you.

Joe (for the co-chairs)

---

From: "Senthil Sivakumar (ssenthil)" <[email-masked]>
Date: Mon, 31 Jul 2017 12:18:31 +0000

I support the adoption of this draft, as a co-author.

Thanks
Senthil

On 7/27/17, 10:09 AM, "OPSAWG on behalf of Joe Clarke (jclarke)" <[email-masked] on behalf of [email-masked]> wrote:

    Greetings OPSAWG,

    

    Thank you.
    
    Joe (for the co-chairs)

---

From: 顾 戎 <[email-masked]>
Date: Tue, 1 Aug 2017 03:49:10 +0000

Support +1.

I think the YANG data model for NAT is helpful for the NAT service and I will follow this work.

Gu Rong
________________________________
发件人: OPSAWG <[email-masked]> 代表 Senthil Sivakumar (ssenthil) <[email-masked]>
发送时间: 2017年7月31日 12:18
收件人: Joe Clarke (jclarke); [email-masked]
抄送: [email-masked]
主题: Re: [OPSAWG] WG adoption poll for draft-sivakumar-yang-nat-07

Thanks
Senthil

    Greetings OPSAWG,

    YANG Data Model for Network Address Translation (NAT)
    https://datatracker.ietf.org/doc/draft-sivakumar-yang-nat/
draft-sivakumar-yang-nat-06 - YANG Data Model for Network ...<https://datatracker.ietf.org/doc/draft-sivakumar-yang-nat/>
datatracker.ietf.org
YANG Data Model for Network Address Translation (NAT) (Internet-Draft, 2017)

    Thank you.

    Joe (for the co-chairs)

    _______________________________________________
    OPSAWG mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/opsawg
OPSAWG Info Page - Internet Engineering Task Force<https://www.ietf.org/mailman/listinfo/opsawg>
www.ietf.org
Operations and Management Area Working Group Mail List. To see the collection of prior postings to the list, visit the OPSAWG Archives or OPSAWG MHonArc Archives

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg
OPSAWG Info Page - Internet Engineering Task Force<https://www.ietf.org/mailman/listinfo/opsawg>
www.ietf.org
Operations and Management Area Working Group Mail List. To see the collection of prior postings to the list, visit the OPSAWG Archives or OPSAWG MHonArc Archives